language: cn
model_unique_abbr: slope_max-downslope
version: 1.0
identification:
  docker_image_name: taudem_ext:5.3.9
  model_name: 坡度（最大下坡）
  semantic: Slope
  description: 计算栅格8邻域中最大下坡方向的地表坡面空间倾斜程度
  category_application: 处方型
  category_data:
  - DEM数据
  keywords:
  - 地形分析
  - 水文分析
  - 单流向
parameter_info:
  parameters:
    - arg_name: np
      param_type: param
      visible: false
      name: 进程数
      description: mpi计算核数
      data_type: int
      data_semantic: number of process
      specification:
        default: 1
    - arg_name: ' '
      param_type: param
      visible: false
      name: 坡度算法
      description: 最大下坡坡度 # 坡度算法名称，使用D8FlowDir算法输出坡度
      data_type: str
      data_semantic: name of slope algorithm in Taudem
      specification:
        default: d8flowdir
    - arg_name: fel
      param_type: input_data
      name: 数字高程模型
      description: 已填洼DEM，filledDEM
      data_type: tif
      data_semantic: filled_dem
    - arg_name: sd8
      param_type: output_data
      name: 坡度栅格
      description: 坡度栅格结果
      data_type: tif
      data_semantic: slope

application:
  domain: 地形因子提取
  objective: 计算生成坡度
  link_models:
    preorder:
    - pitRemove
  mechanism: 坡度算法计算地表坡面空间倾斜程度，坡向算法计算坡面空间朝向。例如最大下坡法，将最大下坡坡度取值为中心，在邻域窗口中计算高程差与格网间距比值的最大值，此时坡度方向与正北方向之间的夹角为最大下坡坡向。
operation:
  usage: 用户输入填洼后DEM，计算输出坡度
  exec_example:
  - "docker run -v $(pwd)/data:/data crazyzlj/taudem_ext:alpine-openmpi-gdal-latest [-np <nproc>] slope -fel /data/demfel.tif -p /data/demp.tif -sd8 /data/demsd8.tif"
  output_display:
  - 输出坡度结果，直接显示
technique:
  language:
  - C++
  os:
  - Windows
  - Linux
  - MacOS
  parallel:
  - MPI
  hardware:
  - CPU
source:
  maintainer: Zi-Yue Chen
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: chenzy@lreis.ac.cn
  repository: https://github.com/lreis2415/TauDEM_ext
  integrated_softwares:
  - name: taudem_ext
    version: TauDEM5.3
    license: GPLv3license
  references:
  - "Jones, K. H. 1998. A comparison of algorithms used to compute hill slope as a property of the DEM. Computers & Geosciences, 24(4): 315–323."
